#include <PalmOS.h>

#define MY_CRID						'_txp'
#define FTR_NUM_BUSY_COUNT			'bu'




static UInt16 pSysUIBusy(Boolean set, Boolean busy)
{
	UInt32 count = 0;
	
	if (errNone != FtrGet(MY_CRID, FTR_NUM_BUSY_COUNT, &count))
		count = 0;
	
	if (set) {
		if (busy)
			count++;
		else
			count--;
			
		FtrSet(MY_CRID, FTR_NUM_BUSY_COUNT, count);
	}
	
	return count;
}

void __Startup__(void)
{
	UInt32 ver;
	
	if (errNone == FtrGet(sysFtrCreator, sysFtrNumROMVersion, &ver) && ver < sysMakeROMVersion(3, 0, 0, 0, 0)) {
	
		SysSetTrapAddress(sysTrapSysUIBusy, pSysUIBusy);
		
		MemHandleLock(DmGet1Resource('extn', 9));
	}
}
